Loading...
Searching...
No Matches
unsafe_pod_vector< T > Class Template Reference

## Public Types

typedef T * | iterator
typedef const T * | const_iterator
typedef T | value_type
typedef size_t | size_type
typedef T & | reference
typedef const T & | const_reference

## Public Member Functions

void | init ()
void | init (size_t initial_size)
| unsafe_pod_vector (const pod_vector< T > &other)=delete
unsafe_pod_vector & | operator= (const pod_vector< T > &other)=delete
void | fast_reserve (size_t n)
void | reserve (size_t n)
void | resize (size_t new_size)
void | resize_and_wipe (size_t new_size)
ISOSPEC_FORCE_INLINE void | nocheck_push_back (const T &val) noexcept
ISOSPEC_FORCE_INLINE void | push_back (const T &val)
ISOSPEC_FORCE_INLINE T & | operator[] (size_t n) noexcept
ISOSPEC_FORCE_INLINE const T & | operator[] (size_t n) const noexcept
ISOSPEC_FORCE_INLINE size_t | size () const noexcept
ISOSPEC_FORCE_INLINE size_t | capacity () const noexcept
ISOSPEC_FORCE_INLINE T * | data () noexcept
ISOSPEC_FORCE_INLINE const T * | data () const noexcept
ISOSPEC_FORCE_INLINE bool | empty () const noexcept
ISOSPEC_FORCE_INLINE const T & | back () const noexcept
ISOSPEC_FORCE_INLINE void | pop_back () noexcept
void | swap (pod_vector< T > &other) noexcept
iterator | begin () noexcept
const_iterator | begin () const noexcept
const_iterator | cbegin () const noexcept
iterator | end () noexcept
const_iterator | end () const noexcept
const_iterator | cend () const noexcept
ISOSPEC_FORCE_INLINE const T & | front () const noexcept
void | clear ()

## Friends

class | pod_vector< T >

## Detailed Description

template<typename T>
class unsafe_pod_vector< T >

Copyright (C) 2015-2020 Mateusz Łącki and Michał Startek.

This file is part of IsoSpec.

IsoSpec is free software: you can redistribute it and/or modify it under the terms of the Simplified ("2-clause") BSD licence.

IsoSpec is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

You should have received a copy of the Simplified BSD Licence along with IsoSpec. If not, see https://opensource.org/licenses/BSD-2-Clause.

Definition at line 224 of file pod_vector.h.

## Member Typedef Documentation

## const_iterator

template<typename T>

typedef const T* unsafe_pod_vector< T >::const_iterator

Definition at line 373 of file pod_vector.h.

## const_reference

template<typename T>

typedef const T& unsafe_pod_vector< T >::const_reference

Definition at line 377 of file pod_vector.h.

## iterator

template<typename T>

typedef T* unsafe_pod_vector< T >::iterator

Definition at line 372 of file pod_vector.h.

## reference

template<typename T>

typedef T& unsafe_pod_vector< T >::reference

Definition at line 376 of file pod_vector.h.

## size_type

template<typename T>

typedef size_t unsafe_pod_vector< T >::size_type

Definition at line 375 of file pod_vector.h.

## value_type

template<typename T>

typedef T unsafe_pod_vector< T >::value_type

Definition at line 374 of file pod_vector.h.

## Member Function Documentation

## back()

template<typename T>

ISOSPEC_FORCE_INLINE const T & unsafe_pod_vector< T >::back | ( |  | ) | const

inline noexcept

Definition at line 352 of file pod_vector.h.

## begin() [1/2]

template<typename T>

const_iterator unsafe_pod_vector< T >::begin | ( |  | ) | const

inline noexcept

Definition at line 380 of file pod_vector.h.

## begin() [2/2]

template<typename T>

iterator unsafe_pod_vector< T >::begin | ( |  | ) |

inline noexcept

Definition at line 379 of file pod_vector.h.

## capacity()

template<typename T>

ISOSPEC_FORCE_INLINE size_t unsafe_pod_vector< T >::capacity | ( |  | ) | const

inline noexcept

Definition at line 332 of file pod_vector.h.

## cbegin()

template<typename T>

const_iterator unsafe_pod_vector< T >::cbegin | ( |  | ) | const

inline noexcept

Definition at line 381 of file pod_vector.h.

## cend()

template<typename T>

const_iterator unsafe_pod_vector< T >::cend | ( |  | ) | const

inline noexcept

Definition at line 384 of file pod_vector.h.

## clear()

template<typename T>

void unsafe_pod_vector< T >::clear | ( |  | ) |

inline

Definition at line 392 of file pod_vector.h.

## data() [1/2]

template<typename T>

ISOSPEC_FORCE_INLINE const T * unsafe_pod_vector< T >::data | ( |  | ) | const

inline noexcept

Definition at line 342 of file pod_vector.h.

## data() [2/2]

template<typename T>

ISOSPEC_FORCE_INLINE T * unsafe_pod_vector< T >::data | ( |  | ) |

inline noexcept

Definition at line 337 of file pod_vector.h.

## empty()

template<typename T>

ISOSPEC_FORCE_INLINE bool unsafe_pod_vector< T >::empty | ( |  | ) | const

inline noexcept

Definition at line 347 of file pod_vector.h.

## end() [1/2]

template<typename T>

const_iterator unsafe_pod_vector< T >::end | ( |  | ) | const

inline noexcept

Definition at line 383 of file pod_vector.h.

## end() [2/2]

template<typename T>

iterator unsafe_pod_vector< T >::end | ( |  | ) |

inline noexcept

Definition at line 382 of file pod_vector.h.

## fast_reserve()

template<typename T>

void unsafe_pod_vector< T >::fast_reserve | ( | size_t | n | ) |

inline

Definition at line 261 of file pod_vector.h.

## front()

template<typename T>

ISOSPEC_FORCE_INLINE const T & unsafe_pod_vector< T >::front | ( |  | ) | const

inline noexcept

Definition at line 386 of file pod_vector.h.

## init() [1/2]

template<typename T>

void unsafe_pod_vector< T >::init | ( |  | ) |

inline

Definition at line 234 of file pod_vector.h.

## init() [2/2]

template<typename T>

void unsafe_pod_vector< T >::init | ( | size_t | initial_size | ) |

inline

Definition at line 242 of file pod_vector.h.

## nocheck_push_back()

template<typename T>

ISOSPEC_FORCE_INLINE void unsafe_pod_vector< T >::nocheck_push_back | ( | const T & | val | ) |

inline noexcept

Definition at line 300 of file pod_vector.h.

## operator[]() [1/2]

template<typename T>

ISOSPEC_FORCE_INLINE const T & unsafe_pod_vector< T >::operator[] | ( | size_t | n | ) | const

inline noexcept

Definition at line 321 of file pod_vector.h.

## operator[]() [2/2]

template<typename T>

ISOSPEC_FORCE_INLINE T & unsafe_pod_vector< T >::operator[] | ( | size_t | n | ) |

inline noexcept

Definition at line 315 of file pod_vector.h.

## pop_back()

template<typename T>

ISOSPEC_FORCE_INLINE void unsafe_pod_vector< T >::pop_back | ( |  | ) |

inline noexcept

Definition at line 358 of file pod_vector.h.

## push_back()

template<typename T>

ISOSPEC_FORCE_INLINE void unsafe_pod_vector< T >::push_back | ( | const T & | val | ) |

inline

Definition at line 307 of file pod_vector.h.

## reserve()

template<typename T>

void unsafe_pod_vector< T >::reserve | ( | size_t | n | ) |

inline

Definition at line 272 of file pod_vector.h.

## resize()

template<typename T>

void unsafe_pod_vector< T >::resize | ( | size_t | new_size | ) |

inline

Definition at line 278 of file pod_vector.h.

## resize_and_wipe()

template<typename T>

void unsafe_pod_vector< T >::resize_and_wipe | ( | size_t | new_size | ) |

inline

Definition at line 292 of file pod_vector.h.

## size()

template<typename T>

ISOSPEC_FORCE_INLINE size_t unsafe_pod_vector< T >::size | ( |  | ) | const

inline noexcept

Definition at line 327 of file pod_vector.h.

## swap()

template<typename T>

void unsafe_pod_vector< T >::swap | ( | pod_vector< T > & | other | ) |

inline noexcept

Definition at line 365 of file pod_vector.h.

## Friends And Related Symbol Documentation

## pod_vector< T >

template<typename T>

friend class pod_vector< T >

friend

Definition at line 392 of file pod_vector.h.

The documentation for this class was generated from the following file:

- /build/isospec-8QB56o/isospec-2.3.2/src/IsoSpec++/pod_vector.h